Bug 865203 - f18b tc3 anaconda automatic partitioning is unable to reclaim space by deleting the partitions that the user marked for deletion
f18b tc3 anaconda automatic partitioning is unable to reclaim space by deleti...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
18
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-10 22:36 EDT by Reartes Guillermo
Modified: 2012-11-22 23:42 EST (History)
5 users (show)

See Also:
Fixed In Version: anaconda-18.20-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-22 23:42:40 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
step #1 (102.22 KB, image/png)
2012-10-10 22:38 EDT, Reartes Guillermo
no flags Details
step #2 (79.78 KB, image/png)
2012-10-10 22:38 EDT, Reartes Guillermo
no flags Details
step #3 (79.92 KB, image/png)
2012-10-10 22:39 EDT, Reartes Guillermo
no flags Details
step #4 (48.33 KB, image/png)
2012-10-10 22:39 EDT, Reartes Guillermo
no flags Details
step #5 (95.59 KB, image/png)
2012-10-10 22:40 EDT, Reartes Guillermo
no flags Details
step #6 (81.51 KB, image/png)
2012-10-10 22:40 EDT, Reartes Guillermo
no flags Details
storage log (170.42 KB, text/x-log)
2012-10-10 22:44 EDT, Reartes Guillermo
no flags Details
anaconda.log (3.00 KB, text/x-log)
2012-10-10 22:44 EDT, Reartes Guillermo
no flags Details

  None (edit)
Description Reartes Guillermo 2012-10-10 22:36:52 EDT
Description of problem:

Anaconda could not delete two partitions to reclaim space. So automatic
partitioning fails to reclaim space.

Version-Release number of selected component (if applicable):
F18b TC3

How reproducible:
always

Steps to Reproduce:

1. Select the first hard disk (already partitioned) "you don't have enough space.."

2. Reclaim Space, be set for deletion previous swap and /boot

3. "you have plenty of space", continue!
  
4. Installation Destination will show "Error checking storage configuration" 
enter and double-click the yellow banner "not enough free space on disks"
Actual results:


Expected results:
anaconda should be able to remove the partitions that the user requested for removal. if there is a reason for not removing, anaconda should print an error.

Additional info:
will upload screen-shots
Comment 1 Reartes Guillermo 2012-10-10 22:38:29 EDT
Created attachment 625308 [details]
step #1
Comment 2 Reartes Guillermo 2012-10-10 22:38:52 EDT
Created attachment 625309 [details]
step #2
Comment 3 Reartes Guillermo 2012-10-10 22:39:19 EDT
Created attachment 625310 [details]
step #3
Comment 4 Reartes Guillermo 2012-10-10 22:39:46 EDT
Created attachment 625311 [details]
step #4
Comment 5 Reartes Guillermo 2012-10-10 22:40:29 EDT
Created attachment 625312 [details]
step #5
Comment 6 Reartes Guillermo 2012-10-10 22:40:57 EDT
Created attachment 625313 [details]
step #6
Comment 7 Reartes Guillermo 2012-10-10 22:44:22 EDT
Created attachment 625314 [details]
storage log
Comment 8 Reartes Guillermo 2012-10-10 22:44:53 EDT
Created attachment 625315 [details]
anaconda.log
Comment 9 Chris Lumens 2012-10-23 11:36:21 EDT
I believe this should be fixed with anaconda-18.20-1.  Please double check and get back to us if this is not the case.  Thanks.
Comment 10 Adam Williamson 2012-11-22 23:42:40 EST
This bug looks to have been fixed for many anaconda builds now but missed being closed. If you find you are still experiencing it with Fedora 18 Beta (RC1) or later, please re-open the bug.

Note You need to log in before you can comment on or make changes to this bug.